import request from '@/assets/js/utils/request'
/*
 * =======================招标-组件评标委员会-专家录入模块==============================
 * */
// 专家录入模块-根据阶段id获取专家信息列表
export function queryExpertListByStageId(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/queryExpertListByStageId',
    method: 'post',
    data
  })
}
// 添加专家
export function saveExpertInfo(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/saveExpertInfo',
    method: 'post',
    data
  })
}
// 设置组长
export function settingLeader(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/settingLeader',
    method: 'post',
    data
  })
}
// 删除专家
export function deleteExpertInfo(expertPackId) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/deleteExpertInfo?expertPackId=' + expertPackId,
    method: 'post'
  })
}
// 生效
export function updateExpertUseStatus(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/updateExpertUseStatus',
    method: 'post',
    data
  })
}
// 专家录入模块-获取专家
export function getResultsOfExtractingExpert(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/getResultsOfExtractingExpert',
    method: 'post',
    data
  })
}
